<!DOCTYPE html>
<html>
<head>
	<!-- Bootstrap CSS -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Rubik+Dirt&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Playfair+Display&display=swap" rel="stylesheet">

	<!-- Animate CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"/>
    <!-- External CSS -->
    <link rel="stylesheet" type="text/css" href="./index.css">

	<title>Kenneth Ang - Developer Portfolio</title>
</head>
<body>
	<!-- Navigation bar -->
	<nav class="navbar navbar-expand-lg navbar-light bg-dark d-flex flex-row text-center fixed-top">
	  <a class="navbar-brand text-light" href="#about-me">Kenneth Ang</a>
	  <button class="navbar-toggler text-light" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>
	  <div class="collapse navbar-collapse" id="navbarNav">
	    <ul class="navbar-nav ml-auto">
	    <li class="nav-item active">
	        <a class="nav-link text-light" href="#top">Home<span class="sr-only"></span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link text-light" href="#project">Projects<span class="sr-only"></span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link text-light" href="#tools-frontend">Tools<span class="sr-only">/span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link text-light" href="#contacts">Contacts<span class="sr-only"></span></a>
	      </li>
	    </ul>
	  </div>
	</nav>
	<!-- End Navigation bar -->

	<div class="container-fluid bg-secondary min-vh-100 animate__animated animate__backInDown" id="top">
		<div class="row text-center align-items-center min-vh-100">
			<div class="col-12 container-fluid mt-5 pt-5 f-question">
				<h1 class="question">Looking for a Web Developer?</h1>
				<div class="pt-5">
					<a class="btn btn-success mr-3 button" href="#about-me" role="button">YES</a>
					<a class="btn btn-secondary disabled mr-3 button" href="#about-me" role="button">NO</a>
				</div>
				
			</div>
				
		</div>
	</div>
	

	<!-- About me -->
	<div class="container-fluid about-me-bg text-light min-vh-100" id="about-me">
		<div class="row pt-5 pt-md-3 justify-content-center align-items-center secondary-bg-color min-vh-100">
			<div class="col-10 col-md-5 col-lg-3">
				<img class="img-fluid rounded-circle" src="./img/pf.jpg">
			</div>
			<div class="col-12 col-md-6 col-lg-4 text-center text-md-left vertical-align-center pt-xl-5 pb-5">
				<h1>Kenneth Ang</h1>
				<h3>Web Developer</h3>
				<p>I am Kenneth Ang, a Bachelor of Science in Computer Engineering graduate. As a web developer, I spend most of my time improving my craft and learning about new technologies.
				If you are interested in my work, feel free to contact me. I look forward to working with you!
				</p>
				<div class="d-none d-md-flex justify-content-left">
					<a class="btn btn-darkblue button d-none d-md-flex" href="#project" role="button">Experiences</a>
				</div>
			</div>
		</div>
	</div>
	<!-- End of About me -->


	<!--Projects -->
	<div class="container-fluid content-row min-vh-100 text-center projects-bg " id="project">
		
		<div class="row align-items-center justify-content-center min-vh-100 secondary-bg-color">
			<div class="d-md-none col-12 bg-dark text-light">
				<h1>Accomplished</h1>
			</div>
			<div class="d-md-none col-12 bg-secondary text-light">
				<h1>Projects</h1>
			</div>
			<!-- iFlood -->
			<h1 class="d-none d-md-flex justify-content-center col-12 mt-5 text-light pt-lg-3">Accomplished Projects</h1>
			
			<!-- iFlood Website -->
			<div class="col-10 col-lg-3 bg-dark p-1 p-md-3 text-light m-1 m-md-4 rounded">
				<div class="carousel slide" id="iflood-website" data-ride="carousel" data-interval="3000">
				  <div class="carousel-inner">
				    <div class="carousel-item active">
				      <img src="./projects/iflood/login.png">
				    </div>
				    <div class="carousel-item">
				      <img src="./projects/iflood/register.png">
				    </div>
				    <div class="carousel-item">
				      <img src="./projects/iflood/contacts.png" class="h-100">
				    </div>
				  </div>
				  <button class="carousel-control-prev" type="button" data-target="#iflood-website" data-slide="prev">
				      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				      <span class="sr-only">Previous</span>
				   </button>
				   <button class="carousel-control-next" type="button" data-target="#iflood-website" data-slide="next">
				      <span class="carousel-control-next-icon" aria-hidden="true"></span>
				      <span class="sr-only">Next</span>
				   </button>
				</div>
			
				<div class="text-center">
					<h2>iFlood - Website</h2>
					<p>iFlood website displays all values thrown by iFlood devices to our MySQL database.</p>
					<a class="btn btn-primary" href="./404.html" role="button" target="_blank">View Project</a>
				</div>
			</div>
			<!-- End of iFlood Website -->

			<!-- iFlood Device -->
			<div class="col-10 col-lg-3 bg-dark p-1 p-md-3 text-light m-1 m-md-4 rounded">
				<div class="carousel slide" id="iflood-device" data-ride="carousel" data-interval="3000">
				  <div class="carousel-inner">
				    <div class="carousel-item active">
				      <img src="./projects/iflood/dev-1.png" class="d-block w-100 card-img-top">
				    </div>
				    <div class="carousel-item">
				      <img src="./projects/iflood/dev-2.png" class="d-block w-100 card-img-top">
				    </div>
				  </div>
				  <button class="carousel-control-prev" type="button" data-target="#iflood-device" data-slide="prev">
				    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				    <span class="sr-only">Previous</span>
				 </button>
				 <button class="carousel-control-next" type="button" data-target="#iflood-device" data-slide="next">
				    <span class="carousel-control-next-icon" aria-hidden="true"></span>
				    <span class="sr-only">Next</span>
				 </button>
				</div>
				
				<div class="text-center col-12">
					<h2>iFlood - Device</h2>
					<p>iFlood device is a low-cost device that monitors and predicts flood level.</p>
					<a class="btn btn-primary" href="./404.html" role="button" target="_blank">View Project</a>
				</div>
			</div>
			<!-- End of iFlood Device -->
			<!-- End of iFlood -->
			
			<!-- Eliqa -->
			<div class="col-10 col-lg-3 bg-dark p-1 p-md-3 text-light m-1 m-md-4 rounded">
				<div id="eliqa" class="carousel slide" data-ride="carousel" data-interval="3000">
				  <div class="carousel-inner">
				    <div class="carousel-item active">
				      <img src="./projects/eliqa/1.jpg" class="d-block w-100 card-img-top">
				    </div>
				    <div class="carousel-item">
				      <img src="./projects/eliqa/2.jpg" class="d-block w-100 card-img-top">
				    </div>
				    <div class="carousel-item">
				      <img src="./projects/eliqa/3.jpg" class="d-block w-100 card-img-top">
				    </div>
				  </div>
				 <button class="carousel-control-prev" type="button" data-target="#eliqa" data-slide="prev">
				    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				    <span class="sr-only">Previous</span>
				  </button>
				  <button class="carousel-control-next" type="button" data-target="#eliqa" data-slide="next">
				    <span class="carousel-control-next-icon" aria-hidden="true"></span>
				    <span class="sr-only">Next</span>
				  </button>
				</div>

				<div class="text-center">
					<h1>Eliqa</h1>
					<p>Eliqa is a responsive e-shop created in minimal time with the use of Google Sites Builder.</p>
					<a class="btn btn-primary" href="./404.html" role="button" target="_blank">View Project</a>
				</div>
			</div>
			<!-- Eliqa -->

			<div class="col-12 pb-5 d-none d-md-flex justify-content-center">
				<a class="btn btn-darkblue button pl-md-5 pr-md-5" href="#tools-frontend" role="button">Tools I Use &#8594;</a>
			</div>
		</div>
	</div>
	<!-- End of Projects -->

	<!-- Frontend Tools -->
	<div class="container-fluid min-vh-100 text-center tools-bg" id="tools-frontend">

		<div class="row align-items-center justify-content-center min-vh-100 secondary-bg-color pb-lg-5 pt-md-5 pt-lg-0">
			
			<div class="d-md-none col-12 bg-dark text-light">
				<h1>Skills</h1>
			</div>

			<div class="d-none d-md-flex col-12 justify-content-center flex-row pt-xl-3">
				<a class="btn btn-darkblue button disabled m-2" role="button">Front End</a>
				<a class="btn btn-darkblue button m-2" href="#tools-backend" role="button">  Back End  </a>
				<a class="btn btn-darkblue button m-2" href="#other-tools" role="button">Other Tools</a>
			</div>
			
			<h1 class="col-12 d-md-none text-light bg-secondary">Front End</h1>
			
			<!--HTML-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2" >
			  <img src="./img/logo-html5.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">HTML</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9733; &#9733; &#9733; &#9733; &#9733;</p>
			  </div>
			</div>
			<!-- end of HTML -->

			<!--CSS-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-css3.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">CSS</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9733; &#9733; &#9733; &#9733; &#9734;</p>
			  </div>
			</div>
			<!-- end of CSS -->

			<!--Bootstrap-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-bootstrap.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Bootstrap</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9733; &#9733; &#9733; &#9733; &#9734;</p>
			  </div>
			</div>
			<!-- end of Bootstrap -->

			<!--JavaScript-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-javascript.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">JavaScript</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of JavaScript -->
		</div>
	</div>
	<!-- End of Frontend tools-->

	<!-- Backend Tools -->
	<div class="container-fluid min-vh-100 text-center tools-bg" id="tools-backend">
		<div class="row align-items-center justify-content-center min-vh-100 secondary-bg-color pb-lg-5 pt-md-5 pt-lg-0">
			<div class="d-none d-md-flex col-12 justify-content-center flex-row pt-xl-3">
				<a class="btn btn-darkblue button m-2" href="#tools-frontend" role="button">Front End</a>
				<a class="btn btn-darkblue button disabled m-2" role="button">  Back End  </a>
				<a class="btn btn-darkblue button m-2" href="#other-tools" role="button">Other Tools</a>
			</div>
			
			<h1 class="col-12 d-md-none text-light bg-dark">Back End</h1>
			
			<!--MongoDB-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2" >
			  <img src="./img/logo-mongodb.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">MongoDB</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of MongoDB -->

			<!-- Express JS-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-expressjs.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Express JS</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of Express JS -->

			<!--React JS-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-react.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">React JS</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of React JS -->

			<!--Node JS-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-nodejs.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Node JS</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of Node JS -->
		</div>
	</div>
	<!-- End of backend tools -->

	<!-- Other Tools -->
	<div class="container-fluid min-vh-100 text-center tools-bg" id="other-tools">
		<div class="row align-items-center justify-content-center min-vh-100 secondary-bg-color pt-md-5 pt-lg-4">
			<div class="d-none d-md-flex col-12 justify-content-center flex-row pt-xl-3">
				<a class="btn btn-darkblue button m-2" href="#tools-frontend" role="button">Front End</a>
				<a class="btn btn-darkblue button m-2" href="#tools-backend" role="button">  Back End  </a>
				<a class="btn btn-darkblue button disabled m-2" role="button">Other Tools</a>
			</div>
			
			<h1 class="col-12 d-md-none text-light bg-dark">Other Tools</h1>
			
			<!--Heroku-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2" >
			  <img src="./img/logo-heroku.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Heroku</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of Heroku -->

			<!-- GitLab-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-gitlab-ci-cd.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">GitLab</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9733; &#9733; &#9733; &#9733; &#9734;</p>
			  </div>
			</div>
			<!-- end of GitLab -->

			<!--Postman-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-postman.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Postman</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9734; &#9734; &#9734; &#9734; &#9734;</p>
			  </div>
			</div>
			<!-- end of Postman -->

			<!--Sublime text-->
			<div class="col-7 col-md-5 col-xl-2 card card-style m-1 m-md-2">
			  <img src="./img/logo-sublime-text-3.png" class="card-img-top">
			  <div class="card-body">
			    <h5 class="card-title">Sublime Text</h5>
			    <p class="card-text">Proficiency</p>
			    <p class="card-text">&#9733; &#9733; &#9733; &#9733; &#9734;</p>
			  </div>
			</div>
			<!-- end of Sublime text -->

			<div class="col-12 d-none d-md-flex justify-content-center ">
				<a class="btn btn-darkblue button m-2" href="#contacts" role="button">Contact Me</a>
			</div>
		</div>
	</div>
	<!-- End of Other tools -->

	<!-- Contacts -->
	<div class="container-fluid min-vh-100 text-center contacts-bg pt-lg-4 pb-2 pb-lg-4 d-flex justify-content-center" id="contacts">
		<div class="row align-items-center justify-content-center min-vh-100 pt-lg-4">
			<div class="d-md-none col-12 bg-dark text-light">
				<h1>Contacts</h1>
			</div>

			<div class="col-9 pt-2 pt-lg-0">
				<h2 class="col-12 mt-lg-5">Socials</h2>
				<a href="https://www.facebook.com/kenneth.sindayen.1" target="_blank">
					<img class="img-fluid col-3 col-md-1" src="https://cdn-icons-png.flaticon.com/512/44/44646.png">
				</a>

				<a href="https://gitlab.com/k3nneth27" target="_blank">
					<img class="img-fluid col-3 col-md-1" src="https://cdn.iconscout.com/icon/free/png-256/gitlab-2489177-2082875.png">
				</a>
				
				<a href="https://www.linkedin.com/in/kenneth-ang-314a08223/" target="_blank">
					<img class="img-fluid col-3 col-md-1" src="https://cdn.icon-icons.com/icons2/2428/PNG/512/linkedin_black_logo_icon_147114.png">
				</a>

				<div class="row p-md-5 justify-content-center">
				<div class="col-12 col-md-10 pt-4">
					<h2>Address</h2>
					<iframe class="img-fluid" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d30581.400523274704!2d120.31110686925194!3d16.64306911582133!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x33918d916741f669%3A0x2115ea4e019b6924!2sLorma%20Grade%20School%20%26%20Pre-School%20Campus!5e0!3m2!1sen!2sph!4v1660151001176!5m2!1sen!2sph" width="600" height="300" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
				</div>
				<div class="col-12 col-md-10 pt-4">
					<h2>Message Us</h2>
					<form class="bg-secondary pt-1 pl-1 pr-1 pb-1 pt-md-5 pl-md-5 pr-md-5 pb-md-3 text-light">
						<div class="form-group">
					    <label for="name">Name</label>
					    <input type="text" class="form-control form-control-sm" id="name">
					  </div>

					  <div class="form-group">
					    <label for="email">Email address</label>
					    <input type="email" class="form-control form-control-sm" id="email" aria-describedby="emailHelp">
					    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
					  </div>
					  
					  <div class="form-group">
					      <label for="message">Message</label>
					      <textarea class="form-control form-control-sm" id="message" rows="3"></textarea>
					    </div>

					  <!-- Button trigger modal -->
					  <button type="button" class="btn btn-success" data-toggle="modal" data-target="#exampleModal">
					    Send
					  </button>

					  <!-- Modal -->
					  <div class="modal fade text-dark" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
					    <div class="modal-dialog">
					      <div class="modal-content">
					        <div class="modal-header">
					          <h5 class="modal-title" id="exampleModalLabel">Thank you for reaching out!</h5>
					          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					            <span aria-hidden="true">&times;</span>
					          </button>
					        </div>
					        <div class="modal-body">
					          Message Sent Successfully!
					        </div>
					        <div class="modal-footer">
					          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					        </div>
					      </div>
					    </div>
					  </div>
					</form>
				</div>
			</div>	
			</div>

			
		</div>
	</div>
	<!-- End of Contacts -->

	<!-- Footer -->
	<footer class="page-footer font-small blue">

	  <div class="footer bg-dark text-light text-center py-3">
	  	<h3>Kenneth Ang</h3>
	  	<p>Web Developer</p>
	  </div>

	</footer>
	<!-- Footer -->

	<!-- Boostrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>